# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit 30440295bc054f37a2a8275acca769cd83bcb780
    parent 4fdba860c8db70035e9749806ecc6ca2d7c418d0
    Author: Christoph Lohmann <20h@r-36.net>
    Date:   Mon,  7 Mar 2016 14:33:05 +0100

    xtermclear() is now done by xdrawglyphfontspecs()

    Thanks Ton van den Heuvel for the proposal!

    Diffstat:
    Mst.c | 13-------------

    1 file changed, 0 insertions(+), 13 deletions(-)
    diff --git a/st.c b/st.c
    @@ -439,7 +439,6 @@ static void xresettitle(void);
     static void xsetpointermotion(int);
     static void xseturgency(int);
     static void xsetsel(char *, Time);
    -static void xtermclear(int, int, int, int);
     static void xunloadfont(Font *);
     static void xunloadfonts(void);
     static void xresize(int, int);
    @@ -3213,17 +3212,6 @@ xsetcolorname(int x, const char *name)
     	return 0;
     }

    -void
    -xtermclear(int col1, int row1, int col2, int row2)
    -{
    -	XftDrawRect(xw.draw,
    -			&dc.col[IS_SET(MODE_REVERSE) ? defaultfg : defaultbg],
    -			borderpx + col1 * xw.cw,
    -			borderpx + row1 * xw.ch,
    -			(col2-col1+1) * xw.cw,
    -			(row2-row1+1) * xw.ch);
    -}
    -
     /*
      * Absolute coordinates.
      */
    @@ -3983,7 +3971,6 @@ drawregion(int x1, int y1, int x2, int y2)
     		if (!term.dirty[y])
     			continue;

    -		xtermclear(0, y, term.col, y);
     		term.dirty[y] = 0;

     		specs = term.specbuf;